Uploading chunks

Upload a single chunk of a file

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

First, split your file into chunks. Chunk size is up to you but must be 5 MB or less. If you attempt to upload a chunk larger than 5 MB you'll receive an error. The last number is the chunk number. This is used, to determine the order to reassemble the chunks on the server. So the second chunk would be POST /api/v2/files/{file_id}/versions/{v4_uuid}/chunk/2. The request body should be the binary data of the chunk. Make sure to set the Content-Length header.

Path Params
int32
required

The ID of the file to which the version will be added.

string
required

The v4 uuid obtained from the versions endpoint.

int32
required

The number of the chunk. The chunks are reassembled in order of chunk number.

Headers
string
Defaults to application/octet-stream

Should be application/octet-stream for uploading chunks

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json